/****************************************************************************/
/* SYSTEM_ID : GF                                                           */
/* PERSON_TABLE_SET ( PROCEDURE )                                           */
/* Created : 2022/01/20 12:56:23                                            */
/****************************************************************************/

CREATE 
PROCEDURE PERSON_TABLE_SET (
	in_id		IN NUMBER ,
	in_person	IN person_typ
) IS
	tmpPerson	person_typ ;

	BEGIN
		tmpPerson := in_person ;
		tmpPerson.phone := '075-672-8240' ;
		INSERT INTO person_table VALUES ( in_id , tmpPerson );
	EXCEPTION
		WHEN OTHERS THEN
			DBMS_OUTPUT.PUT_LINE( in_person.idno || ' '  || in_person.name );
END PERSON_TABLE_SET;
;
